TSCONTSCHEDULEONTHREAD(3ts)

NAME
TSContScheduleOnThread - TSContScheduleOnThread API function

SYNOPSIS

            #include <ts/ts.h>

    TSAction TSContScheduleOnThread(TSCont contp, TSHRTime timeout, TSEventThread ethread)

DESCRIPTION

Mostly the same as TSContSchedule(). Schedules contp on ethread.

Note that the TSContSchedule() family of API shall only be called from an ATS EThread. Calling it from raw non-EThreads can result in unpredictable behavior.

SEE ALSO

TSContSchedule TSContScheduleEvery TSContScheduleOnPool

COPYRIGHT
2025, dev@trafficserver.apache.org